/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: block;
}

.select-group-title {
  font-weight: 600;
  margin-top: 0.5em;

  &:first-child {
    margin: 0;
  }
}

.select-group {
  display: flex;
  flex-flow: row wrap;
}

.select-group--pair {
  flex: 0 1 calc(100% / 3 - 0.5em);
  display: flex;
  flex-flow: column nowrap;
  margin: 0.25em 0;
  min-width: 15em;
}

.select-group-entry {
  display: flex;
  margin: 0.1em;
}

.select-group-entry--control {
  height: 1.5em;
  box-sizing: border-box;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 0.125em;
}

.select-group-entry--icon {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  color: get-color($openk-primary-palette);
  font-size: 1.125em;
  text-align: center;
  margin-right: -1px;
}

.select-group-entry--input {
  font-size: 1em;
  width: 1em;
  height: 1em;
}

.select-group-entry--label {
  padding-left: 0.25em;
  display: inline-block;
  width: 100%;
}
